How to Install Vim on Fedora 16

Share this Article :

Vim is a text editor that is upwards compatible to Vi. Vim can be used to edit all kinds of plain text. It is especially useful for editing programs. In this post, i will show how to install vim on linux Fedora 16 server. This steps has been tested on Fedora 16, it may working on other linux distribution as well.

If your Fedora 16 does not have vim installed, you’ill get the following error :

[[email protected] ~]# vim /etc/httpd/conf/httpd.conf
-bash: vim: command not found

To install vim on your Fedora 16, simply run the following command :

[[email protected] ~]# yum install vim -y

or

[[email protected] ~]# yum install vim-enhanced -y
[[email protected] ~]# yum install vim -y
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package vim-enhanced.i686 2:7.3.315-1.fc16 will be installed
--> Processing Dependency: vim-common = 2:7.3.315-1.fc16 for package: 2:vim-enhanced-7.3.315-1.fc16.i686
--> Processing Dependency: libgpm.so.2 for package: 2:vim-enhanced-7.3.315-1.fc16.i686
--> Processing Dependency: libruby.so.1.8 for package: 2:vim-enhanced-7.3.315-1.fc16.i686
--> Running transaction check
---> Package gpm-libs.i686 0:1.20.6-21.fc16 will be installed
---> Package ruby-libs.i686 0:1.8.7.357-1.fc16 will be installed
--> Processing Dependency: libreadline.so.5 for package: ruby-libs-1.8.7.357-1.fc16.i686
---> Package vim-common.i686 2:7.3.315-1.fc16 will be installed
--> Processing Dependency: vim-filesystem for package: 2:vim-common-7.3.315-1.fc16.i686
--> Running transaction check
---> Package compat-readline5.i686 0:5.2-18.fc15 will be installed
---> Package vim-filesystem.i686 2:7.3.315-1.fc16 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================
 Package                  Arch         Version                    Repository                   Size
====================================================================================================
Installing:
 vim-enhanced             i686         2:7.3.315-1.fc16           Fedora16-Repository         889 k
Installing for dependencies:
 compat-readline5         i686         5.2-18.fc15                Fedora16-Repository         126 k
 gpm-libs                 i686         1.20.6-21.fc16             updates                      29 k
 ruby-libs                i686         1.8.7.357-1.fc16           updates                     1.8 M
 vim-common               i686         2:7.3.315-1.fc16           Fedora16-Repository         5.4 M
 vim-filesystem           i686         2:7.3.315-1.fc16           Fedora16-Repository          14 k

Transaction Summary
====================================================================================================
Install       6 Packages

Total download size: 8.3 M
Installed size: 27 M
Downloading Packages:
(2/6): gpm-libs-1.20.6-21.fc16.i686.rpm                                      |  29 kB     00:00
(3/6): ruby-libs-1.8.7.357-1.fc16.i686.rpm                                   | 1.8 MB     00:22
----------------------------------------------------------------------------------------------------
Total                                                               349 kB/s | 8.3 MB     00:24
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : 2:vim-filesystem-7.3.315-1.fc16.i686                                             1/6
  Installing : 2:vim-common-7.3.315-1.fc16.i686                                                 2/6
  Installing : gpm-libs-1.20.6-21.fc16.i686                                                     3/6
  Installing : compat-readline5-5.2-18.fc15.i686                                                4/6
  Installing : ruby-libs-1.8.7.357-1.fc16.i686                                                  5/6
  Installing : 2:vim-enhanced-7.3.315-1.fc16.i686                                               6/6

Installed:
  vim-enhanced.i686 2:7.3.315-1.fc16

Dependency Installed:
  compat-readline5.i686 0:5.2-18.fc15                gpm-libs.i686 0:1.20.6-21.fc16
  ruby-libs.i686 0:1.8.7.357-1.fc16                  vim-common.i686 2:7.3.315-1.fc16
  vim-filesystem.i686 2:7.3.315-1.fc16

Complete!

To start using vim editor instead of vi as below :

[[email protected] ~]# vim /etc/httpd/conf/httpd.conf

Leave a Reply